> [!NOTE]
> Premium and Enterprise (Deprecated) [service tiers](https://docs.cloud.google.com/security-command-center/docs/service-tiers.md.txt) (requires [organization-level activation](https://docs.cloud.google.com/security-command-center/docs/activate-scc-overview.md.txt#overview_of_organization-level_activation))

> [!CAUTION]
> The Security Command Center Enterprise service tier will shut down on May 21, 2027. If your organization uses the Enterprise service tier, then the organization will automatically move to the Premium service tier on or after May 21, 2027. Contact your account representative or a [Google Cloud sales specialist](https://cloud.google.com/contact) if you have questions.

The v1.0 predefined posture template for Virtual Private Cloud (VPC) networking,
extended lets you configure a security posture. This configuration helps protect
VPC networking by using preventative and detective policies. This
template includes two policy sets that apply to VPC networking:
organization policy constraints and Security Health Analytics detectors.

Before you deploy this template, you must customize some of its policies so that
they apply to your environment.

## Organization policy constraints

The following table describes the organization policy constraints that are
included in this posture.

| Policy | Description | Compliance standard |
|---|---|---|
| `compute.skipDefaultNetworkCreation` | This boolean constraint disables the automatic creation of a default VPC network and default firewall rules in each new project, ensuring that network and firewall rules are intentionally created. The value is `true` to avoid creating the default VPC network. | NIST SP 800-53 control: SC-7 and SC-8 |
| `ainotebooks.restrictPublicIp` | This boolean constraint restricts public IP access to newly created Vertex AI Workbench notebooks and instances. By default, public IP addresses can access Vertex AI Workbench notebooks and instances. The value is `true` to restrict public IP access on new Vertex AI Workbench notebooks and instances. | NIST SP 800-53 control: SC-7 and SC-8 |
| `compute.disableNestedVirtualization` | This boolean constraint disables nested virtualization for all Compute Engine VMs to decrease the security risk related to unmonitored nested instances. The value is `true` to turn off VM nested virtualization. | NIST SP 800-53 control: SC-7 and SC-8 |
| `compute.vmExternalIpAccess` | This list constraint defines the Compute Engine VM instances that are allowed to use external IP addresses. By default, all VM instances are allowed to use external IP addresses. The constraint uses the format `projects/PROJECT_ID/zones/ZONE/instances/INSTANCE`. You must configure this value when you adopt this predefined posture. | NIST SP 800-53 control: SC-7 and SC-8 |
| `ainotebooks.restrictVpcNetworks` | This list constraint defines the VPC networks a user can select when creating new Vertex AI Workbench instances where this constraint is enforced. You must configure this value when you adopt this predefined posture. | NIST SP 800-53 control: SC-7 and SC-8 |
| `compute.vmCanIpForward` | This list constraint defines the VPC networks that a user can select when creating new Vertex AI Workbench instances. By default, you can create a Vertex AI Workbench instance with any VPC network. You must configure this value when you adopt this predefined posture. | NIST SP 800-53 control: SC-7 and SC-8 |

## Security Health Analytics detectors

The following table describes the Security Health Analytics detectors that are included in
the predefined posture template. For more information about these detectors, see
[Vulnerability findings](https://docs.cloud.google.com/security-command-center/docs/concepts-vulnerabilities-findings.md.txt).

| Detector name | Description |
|---|---|
| `FIREWALL_NOT_MONITORED` | This detector checks whether log metrics and alerts aren't configured to monitor VPC firewall rule changes. |
| `NETWORK_NOT_MONITORED` | This detector checks whether log metrics and alerts aren't configured to monitor VPC network changes. |
| `ROUTE_NOT_MONITORED` | This detector checks whether log metrics and alerts aren't configured to monitor VPC network route changes. |
| `DNS_LOGGING_DISABLED` | This detector checks whether DNS logging is enabled on the VPC network. |
| `FLOW_LOGS_DISABLED` | This detector checks whether flow logs are enabled on the VPC subnetwork. |
| `VPC_FLOW_LOGS_SETTINGS_NOT_RECOMMENDED` | This detector checks whether the `enableFlowLogs` property of VPC subnetworks is missing or set to `false`. |

## View the posture template


To view the posture template for VPC networking, extended, do the following:

### gcloud


Before using any of the command data below,
make the following replacements:

- `ORGANIZATION_ID`: the numeric ID of the organization.


Execute the


[`gcloud scc posture-templates
describe`](https://docs.cloud.google.com/sdk/gcloud/reference/scc/posture-templates/describe)


command:

#### Linux, macOS, or Cloud Shell

```bash
gcloud scc posture-templates describe \
    organizations/ORGANIZATION_ID/locations/global/postureTemplates/vpc_networking_extended
```

#### Windows (PowerShell)

```bash
gcloud scc posture-templates describe `
    organizations/ORGANIZATION_ID/locations/global/postureTemplates/vpc_networking_extended
```

#### Windows (cmd.exe)

```bash
gcloud scc posture-templates describe ^
    organizations/ORGANIZATION_ID/locations/global/postureTemplates/vpc_networking_extended
```

The response contains the posture template.

### REST


Before using any of the request data,
make the following replacements:

- `ORGANIZATION_ID`: the numeric ID of the organization.


HTTP method and URL:

```
GET https://securityposture.googleapis.com/v1/organizations/ORGANIZATION_ID/locations/global/postureTemplates/vpc_networking_extended
```

To send your request, expand one of these options:

#### curl (Linux, macOS, or Cloud Shell)

> [!NOTE]
> **Note:** The following command assumes that you have logged in to the `gcloud` CLI with your user account by running [`gcloud init`](https://docs.cloud.google.com/sdk/gcloud/reference/init) or [`gcloud auth login`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/login.md.txt) , or by using [Cloud Shell](https://docs.cloud.google.com/shell/docs.md.txt), which automatically logs you into the `gcloud` CLI . You can check the currently active account by running [`gcloud auth list`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/list.md.txt).


Execute the following command:

```
curl -X GET \
     -H "Authorization: Bearer $(gcloud auth print-access-token)" \
     "https://securityposture.googleapis.com/v1/organizations/ORGANIZATION_ID/locations/global/postureTemplates/vpc_networking_extended"
```

#### PowerShell (Windows)

> [!NOTE]
> **Note:** The following command assumes that you have logged in to the `gcloud` CLI with your user account by running [`gcloud init`](https://docs.cloud.google.com/sdk/gcloud/reference/init) or [`gcloud auth login`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/login.md.txt) . You can check the currently active account by running [`gcloud auth list`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/list.md.txt).


Execute the following command:

```
$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }

Invoke-WebRequest `
    -Method GET `
    -Headers $headers `
    -Uri "https://securityposture.googleapis.com/v1/organizations/ORGANIZATION_ID/locations/global/postureTemplates/vpc_networking_extended" | Select-Object -Expand Content
```

The response contains the posture template.

## What's next

- [Create a security posture using this predefined posture template](https://docs.cloud.google.com/security-command-center/docs/how-to-use-security-posture.md.txt).